[arch-commits] Commit in qemu-kvm/trunk (PKGBUILD qemu-kvm.install)

Tobias Powalowski tpowa at archlinux.org
Sun Jan 24 05:32:59 EST 2010


    Date: Sunday, January 24, 2010 @ 05:32:58
  Author: tpowa
Revision: 65091

upgpkg: qemu-kvm 0.12.2-1
    bump to latest version

Modified:
  qemu-kvm/trunk/PKGBUILD
  qemu-kvm/trunk/qemu-kvm.install

------------------+
 PKGBUILD         |   12 +++++++++---
 qemu-kvm.install |    5 +++++
 2 files changed, 14 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-24 10:20:41 UTC (rev 65090)
+++ PKGBUILD	2010-01-24 10:32:58 UTC (rev 65091)
@@ -1,7 +1,7 @@
 # $Id$
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=qemu-kvm
-pkgver=0.12.1.2
+pkgver=0.12.2
 pkgrel=1
 pkgdesc="Latest KVM QEMU is a generic and open source processor emulator which achieves a good emulation speed by using dynamic translation."
 arch=(i686 x86_64)
@@ -20,14 +20,20 @@
 {
     cd ${srcdir}/${pkgname}-${pkgver}
     # fix esound building
-    ./configure --prefix=/usr --audio-drv-list=alsa,sdl,oss,esd --audio-card-list=ac97,sb16,es1370,adlib --enable-docs || return 1
+    ./configure --prefix=/usr \
+                --audio-drv-list=alsa,sdl,oss,esd \
+                --audio-card-list=ac97,sb16,es1370,adlib \
+                --enable-docs || return 1
     make || return 1
     make DESTDIR=${pkgdir} install || return 1
     # symbolic link for backwards compatibility
     ln -s qemu-system-x86_64 ${pkgdir}/usr/bin/qemu-kvm
+    # fix man page
+    mv ${pkgdir}/usr/share/man/man1/qemu.1 \
+                     ${pkgdir}/usr/share/man/man1/qemu-kvm.1
     # install udev rules
     install -D -m644 ${srcdir}/65-kvm.rules \
                      ${pkgdir}/lib/udev/rules.d/65-kvm.rules
 }
-md5sums=('a5815ce191353751a32db20b7bf15403'
+md5sums=('8e6f3666de038c2ee11cebc45ffa89e4'
          'b316a066d2f1bb57d8f5b7ea1d0d1caf')

Modified: qemu-kvm.install
===================================================================
--- qemu-kvm.install	2010-01-24 10:20:41 UTC (rev 65090)
+++ qemu-kvm.install	2010-01-24 10:32:58 UTC (rev 65091)
@@ -1,5 +1,10 @@
 post_install() {
   groupadd kvm -f -g 78
+  echo ">>> PLEASE READ FOR KVM USAGE!"
+  echo ">>>  Load the correct KVM module, you will need a KVM capable CPU!"
+  echo ">>>  Add yourself to the group 'kvm'."
+  echo ">>>  Use 'qemu-kvm -enable-kvm' to use KVM."
+  echo ""
 }
 
 post_upgrade() {



More information about the arch-commits mailing list